#
# spec file for package python-rednose
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2012 Weberhofer GmbH, Austria
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-rednose
Version:        1.3.0
Release:        bp153.1.14
Summary:        Pretty output formatter for python-nosetests
License:        MIT
Group:          Development/Languages/Python
Url:            https://pypi.python.org/pypi/rednose/
Source0:        https://files.pythonhosted.org/packages/source/r/rednose/rednose-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-colorama
Requires:       python-nose
Requires:       python-termstyle
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
%python_subpackages

%description
Rednose is a nosetests plugin for adding colour (and readability) to nosetest console results.

%prep
%setup -q -n rednose-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%files %{python_files}
%defattr(-,root,root,-)
%{python_sitelib}/*

%changelog
* Tue May 14 2019 John Jolly <jjolly@suse.com>
- Update to version 1.3.0
  + Add `NOSE_REDNOSE_HIDE_SKIPS` environment variable.
  + Fix `NOSE_REDNOSE` environment variable.
  + Added LICENCE file
  + Allow using rednose with multiprocess.
* Tue Dec  4 2018 Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
* Wed Nov 15 2017 buschmann23@opensuse.org
- update to version 1.2.3
  + Fix bug when switching between python 2 and 3 using node ids.
  + Added stream flush after every write to make sure dots
    are printed right after a test is executed.
* Tue Oct 24 2017 buschmann23@opensuse.org
- convert to single spec file
* Tue Oct 24 2017 buschmann23@opensuse.org
- add python-colorama to the Requires
* Tue Oct 24 2017 buschmann23@opensuse.org
- Update to version 1.2.2
  + Fix bug for skips raised in setUpClass (issue #9).
- Update to version 1.2.1
  + In python 2.7+ label skips as skip tests.
  + Change skip test exception coloring to blue.
- Update to version 1.1.1
  + Fix for immediate broken with recent release when I switched API
    ussage and removed an function.
- Update to version 1.1.0
  + Update tests for better reporting
  + fix for errors during module setup (issue #1)
  + Better support for skips
  + Introduce proper printing for skipped tests as well as the
    ability to supress them using --hide-skips
  + Test with python 3.4
- Update to version 1.1.0
  + !Major Changes!
  + This release completely changes the way in which color test
    results are printed. It now attmepts to override the code which
    nose uses to print results rather than to supress those results
    and print them seperatly.
  + Package maintainer changes to JBKahn
  + Use travis for testing
* Sun Nov 24 2013 p.drouand@gmail.com
- Update to version 0.4.1
  + No changelog available
- Use tarball from pypi
- Change Url to pypi
- Use download url as source
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Thu Jan 12 2012 saschpe@suse.de
- Spec file cleanup:
  * Dont't rm -rf %%buildroot
  * Use SPDX-style license and assume it's BSD-3-Clause
  * BuildRequire python-distribute instead of setuptools
* Tue Jan 10 2012 jweberhofer@weberhofer.at
- don't need python-nose for packaging
* Tue Jan 10 2012 jweberhofer@weberhofer.at
- Fixed requires-section
- Added required python-termstyle package
* Tue Jan 10 2012 jweberhofer@weberhofer.at
- Initial checkin version 0.2.6
